<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/PTree/Display.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/Display.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/PTree/Display.hh</h1><div><a href="../../../Source/Synopsis/PTree/Display.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="../PTree.hh.html" >Synopsis/PTree.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html" >Display</a>
<div class="doc"><p>The Display class provides an annotated view of the ptree,
for debugging purposes</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/DotFileGenerator.html" >DotFileGenerator</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/RTTIDisplay.html" >RTTIDisplay</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Display</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#my_encoded" >my_encoded</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#my_indent" >my_indent</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#my_os" >my_os</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::DotFileGenerator</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/DotFileGenerator.html#my_os" >my_os</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::RTTIDisplay</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/RTTIDisplay.html#my_encoded" >my_encoded</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/RTTIDisplay.html#my_indent" >my_indent</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/RTTIDisplay.html#my_os" >my_os</a>
<div class="doc"></div></div>

</div>
<div><h3>Functions in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#display_lconst.Node_S_cstd_mostream_A_cbool_cbool_r" >display&#40;const&#160;Node*&#44;std::ostream&amp;&#44;bool&#44;bool&#41;</a>
<div class="doc"><p>Display the given parse tree segment on the given output stream.</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#generate_dot_file_lconst.Node_S_cstd_mostream_A_r" >generate_dot_file&#40;const&#160;Node*&#44;std::ostream&amp;&#41;</a>
<div class="doc"><p>Generate a dot file for the given parse tree segment.</p>
</div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Display</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#Display_lstd_mostream_A_cbool_r" >Display&#40;std::ostream&amp;&#44;bool&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#display_lconst.Node_S_r" >display&#40;const&#160;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#newline_l_r" >newline&#40;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#visit_lAtom_S_r" >visit&#40;Atom*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#visit_lBlock_S_r" >visit&#40;Block*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#visit_lBrace_S_r" >visit&#40;Brace*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#visit_lClassBody_S_r" >visit&#40;ClassBody*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#visit_lDeclarator_S_r" >visit&#40;Declarator*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#visit_lDupAtom_S_r" >visit&#40;DupAtom*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#visit_lFstyleCastExpr_S_r" >visit&#40;FstyleCastExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#visit_lList_S_r" >visit&#40;List*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Display.html#visit_lName_S_r" >visit&#40;Name*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::DotFileGenerator</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/DotFileGenerator.html#DotFileGenerator_lstd_mostream_A_r" >DotFileGenerator&#40;std::ostream&amp;&#41;</a>
<div class="doc"></div></div>
</div>

</body>
</html>
